## Dotfiles

Developer config files.

| Tool     | Description |
| -------- | ----------- |
| Homebrew | Package management |
| Nix      | Package management (experimental) |
| Fish     | Shell |
| Git      | Version control |
| Neovim   | Editor |

MacOS is my primary work environment, hence Homebrew. This setup can be deployed on Linux too. I am aware of criticisms with Homebrew on Linux, but it fits my needs. Nix is being considered as an alternative.

### Usage

Run the interactive installer for Mac/Linux: `./install.sh`

If you decline every prompt, it looks like this:

```
> ./install.sh
Install Homebrew? [Y/n] n
Install Homebrew packages? [Y/n] n
Install Nix? [Y/n] n
Install Nix packages? [Y/n] n
Set login shell? [Y/n] n
Create symlinks? [Y/n] n
Install vim plugins? [Y/n] n
```

These steps _should_ be executed in order. You can safely rerun a step if needed; it tries to be idempotent. Backups are created if you have existing configs that would be overwritten. Definitely do not create symlinks until you have installed the [required](brew/Brewfile) packages (the config files depend on them).
