#!/bin/bash

echo "***** INSTALL SHELL *****"

SHELL_PATH='/usr/local/bin/fish'

if [ ! -x "$SHELL_PATH" ]; then
	echo "Cannot set login shell! $SHELL_PATH is not executable."
	exit 1
fi

if [ "$SHELL" = "$SHELL_PATH" ]; then
	echo "$SHELL_PATH is already the login shell."
else
	echo "Setting the login shell to $SHELL_PATH ..."
	grep -q "$SHELL_PATH" /etc/shells || echo "$SHELL_PATH" | sudo tee -a /etc/shells
	sudo chsh -s "$SHELL_PATH" $(whoami)
fi

echo
